## trivy 0.65.0

=== actions/trivy-triage/Makefile ===
.PHONEY: test
test: helpers.js helpers.test.js
	node --test helpers.test.js

=== testdata/fixtures/repo/pip/requirements.txt ===
click==8.0.0
Flask==2.0.0
itsdangerous==2.0.0
Jinja2==3.0.0
MarkupSafe>2.0.0
Werkzeug==0.11
oauth2-client==4.0.0
python-gitlab==2.0.0

## trivy 0.44.1

=== debian/changelog ===
trivy (0.44.1-0parrot1) lory; urgency=medium

  * Rebuild for Parrot 6.0.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Fri, 08 Sep 2023 17:32:53 +0200

trivy (0.44.1-0kali1) kali-dev; urgency=medium

  * New upstream version 0.44.1
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 10 Aug 2023 10:40:20 +0200

trivy (0.43.0-0kali1) kali-dev; urgency=medium

  * New upstream version 0.43.0
  * Refresh patches
  * Add lintian-overrides

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 06 Jul 2023 17:35:48 +0200

trivy (0.42.1-0kali1) kali-dev; urgency=medium

  * New upstream version 0.42.1
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 29 Jun 2023 14:01:48 +0200

trivy (0.41.0-0kali2) kali-dev; urgency=medium

  * Fix a dead link

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 07 Jun 2023 14:53:04 +0200

trivy (0.41.0-0kali1) kali-dev; urgency=medium

  * Initial release

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 03 May 2023 15:13:35 +0200

=== debian/control ===
Source: trivy
Section: golang
Priority: optional
Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Build-Depends: ca-certificates, debhelper-compat (= 13), dh-golang, golang-any
Standards-Version: 4.6.2
Homepage: https://github.com/aquasecurity/trivy
Testsuite: autopkgtest-pkg-go
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/aquasecurity/trivy

Package: trivy
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Built-Using: ${misc:Built-Using}
Description: comprehensive and versatile security scanner
 This package contains a comprehensive and versatile security scanner. Trivy
 has scanners that look for security issues, and targets where it can find
 those issues.
 It can find vulnerabilities, misconfigurations, secrets, SBOM in containers,
 Kubernetes, code repositories, clouds and more.
 .
 Targets (what Trivy can scan):
 .
  * Container Image
  * Filesystem
  * Git Repository (remote)
  * Virtual Machine Image
  * Kubernetes
  * AWS
 .
 Scanners (what Trivy can find there):
 .
  * OS packages and software dependencies in use (SBOM)
  * Known vulnerabilities (CVEs)
  * IaC issues and misconfigurations
  * Sensitive information and secrets
  * Software licenses

## trivy 0.65.0

=== debian/changelog ===
trivy (0.65.0-1kaisen) kaisen-packages; urgency=medium

  * Import the 0.65.0 release
  * Update the quilt patch
  * Bump the golang-go version required to build

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sun, 10 Aug 2025 00:05:09 +0200

trivy (0.58.2-1kaisen) kaisen-packages; urgency=medium

  * Import the 0.58.2 release
  * Update the quilt patch
  * Bump the golang-go version required to build

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Wed, 15 Jan 2025 16:34:54 +0200

trivy (0.57.1-1kaisen) kaisen-packages; urgency=medium

  * Import the 0.57.1 release
  * Update the quilt patch
  * Bump the golang-go version required to build

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Tue, 19 Nov 2024 14:11:02 +0200

trivy (0.54.1-1kaisen) kaisen-packages; urgency=medium

  * Import the 0.54.1 release
  * Update the quilt patch
  * Bump the Standards-Version
  * Bump the golang-go version required to build
  * Drop the i386 arch

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Thu, 15 Aug 2024 15:12:42 +0200

trivy (0.51.1-1kaisen) kaisen-packages; urgency=medium

  * Import the 0.51.1 release
  * Update the quilt patch

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Wed, 08 May 2024 14:13:48 +0100

trivy (0.46.1-1kaisen) kaisen-packages; urgency=medium

  * Import the 0.46.1 version
  * Update the quilt patch

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Thu, 02 Nov 2023 15:31:37 +0100

trivy (0.44.0-1kaisen) kaisen-packages; urgency=medium

  * Import the 0.44.0 version
  * Update the quilt patch
  * Remove golang-go as package dependancy

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Mon, 07 Aug 2023 22:21:15 +0100

trivy (0.43.1-1kaisen) kaisen-packages; urgency=medium

  * Import the 0.43.1 version
  * Update the quilt patch

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Mon, 24 Jul 2023 01:46:07 +0100

trivy (0.41.0-1kaisen) kaisen-packages; urgency=medium

  * Import the 0.41.0 version
  * Update the quilt patch

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Tue, 09 May 2023 13:12:14 +0100

trivy (0.38.3-1kaisen) kaisen-packages; urgency=medium

  * Import the 0.38.3 version
  * Update the quilt patch
  * Improvements of the packaging
  * Add BASH and ZSH completions

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Mon, 20 Mar 2023 00:55:53 +0100

trivy (0.35.0-1kaisen) kaisen-packages; urgency=medium

  * Import the 0.35.0 version
  * Update the quilt patch

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Mon, 28 Nov 2022 21:05:56 +0100

trivy (0.34.0-1kaisen) kaisen-packages; urgency=medium

  * Import the 0.34.0 version
  * Update the quilt patch
  * Update the golang-go version required

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Wed, 23 Nov 2022 22:12:12 +0100

trivy (0.32.0-1kaisen) kaisen-packages; urgency=medium

  * Import the 0.32.0 version
  * Update quilt patch

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Mon, 19 Sep 2022 17:47:09 +0100

trivy (0.30.4-1kaisen) kaisen-packages; urgency=medium

  * Import 0.30.4 version
  * Update quilt patch

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sun, 14 Aug 2022 21:05:33 +0100

trivy (0.29.2-1kaisen) kaisen-packages; urgency=medium

  * Import 0.29.2 version
  * Update quilt patch

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Fri, 08 Jul 2022 14:20:04 +0100

trivy (0.28.1-1kaisen) kaisen-packages; urgency=medium

  * Import 0.28.1 version
  * Update quilt patch

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sun, 29 May 2022 23:36:47 +0100

trivy (0.27.1-1kaisen) kaisen-packages; urgency=medium

  * Import 0.27.1 version
  * Update quilt patch

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Fri, 06 May 2022 08:23:29 +0100

trivy (0.24.4-1kaisen) kaisen-packages; urgency=medium

  * Import 0.24.4 version
  * Update quilt patch

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Wed, 30 Mar 2022 01:52:44 +0100

trivy (0.24.1-1kaisen) kaisen-packages; urgency=medium

  * Import 0.24.1 version
  * Update quilt patch

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sun, 27 Feb 2022 18:01:19 +0100

trivy (0.23.0-1kaisen) kaisen-packages; urgency=medium

  * Import 0.23.0 version
  * Update patch

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sun, 13 Feb 2022 17:00:10 +0100

trivy (0.22.0-1kaisen) kaisen-packages; urgency=medium

  * Import 0.22.0 version
  * Update patch

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sun, 09 Jan 2022 04:13:11 +0100

trivy (0.21.2-1kaisen) kaisen-packages; urgency=medium

  * Import 0.21.2 version

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sat, 11 Dec 2021 12:21:26 +0100

trivy (0.21.1-1kaisen) kaisen-packages; urgency=medium

  * Import 0.21.1 version

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Mon, 06 Dec 2021 22:02:23 +0200

trivy (0.21.0-1kaisen) kaisen-packages; urgency=medium

  * Import 0.21.0 version

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Mon, 22 Nov 2021 14:21:31 +0200

trivy (0.20.2-1kaisen) kaisen-packages; urgency=medium

  * First release for Kaisen Linux

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Mon, 08 Nov 2021 18:13:57 +0100

=== debian/control ===
Source: trivy
Section: admin
Priority: optional
Maintainer: Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>
Build-Depends: debhelper-compat (= 13), dh-golang, golang-go (>= 1.24.4)
Standards-Version: 4.7.2
Homepage: https://aquasecurity.github.io/trivy
Vcs-Browser: https://gitlab.com/kaisenlinux/packages/trivy
Vcs-Git: https://gitlab.com/kaisenlinux/packages/trivy.git
XS-Go-Import-Path: github.com/aquasecurity/trivy

Package: trivy
Architecture: amd64 arm64
Depends: ${shlibs:Depends},
	 ${misc:Depends},
Description: Vulnerabilities scanner for containers
 Scanner for vulnerabilities in container images, file systems,
 and Git repositories, as well as for configuration issues

=== debian/rules ===
#!/usr/bin/make -f

export GOPATH=$(CURDIR)/_build

%:
	dh $@ --buildsystem=golang --builddirectory=_build

override_dh_auto_clean:
	rm -rf $(CURDIR)/_build
	rm -rf $(CURDIR)/obj-x86_64-linux-gnu

override_dh_auto_build:
	go build $(CURDIR)/cmd/trivy/

override_dh_auto_test:

override_dh_auto_install:
	install -p -m 0755 $(CURDIR)/trivy $(CURDIR)/debian/trivy/usr/bin/
	install -p -m 0644 $(CURDIR)/debian/trivy.png $(CURDIR)/debian/trivy/usr/share/pixmaps/
	install -p -m 0644 $(CURDIR)/contrib/*.tpl $(CURDIR)/debian/trivy/usr/share/trivy/templates/
	$(CURDIR)/debian/trivy/usr/bin/trivy completion bash > $(CURDIR)/debian/trivy/usr/share/bash-completion/completions/trivy
	$(CURDIR)/debian/trivy/usr/bin/trivy completion zsh > $(CURDIR)/debian/trivy/usr/share/zsh/vendor-completions/_trivy

override_dh_dwz:

## trivy 0.66.0

=== build/requirements.txt ===
#
# This file is autogenerated by pip-compile with Python 3.13
# by the following command:
#
#    pip-compile --output-file=docs/build/requirements.txt docs/build/requirements.in
#
babel==2.16.0
    # via mkdocs-material
certifi==2024.8.30
    # via requests
charset-normalizer==3.4.0
    # via requests
click==8.1.7
    # via mkdocs
colorama==0.4.6
    # via mkdocs-material
ghp-import==2.1.0
    # via mkdocs
hjson==3.1.0
    # via
    #   mkdocs-macros-plugin
    #   super-collections
idna==3.10
    # via requests
importlib-metadata==8.5.0
    # via mike
importlib-resources==6.4.5
    # via mike
jinja2==3.1.4
    # via
    #   mike
    #   mkdocs
    #   mkdocs-macros-plugin
    #   mkdocs-material
markdown==3.7
    # via
    #   mkdocs
    #   mkdocs-material
    #   pymdown-extensions
markupsafe==3.0.2
    # via
    #   jinja2
    #   mkdocs
mergedeep==1.3.4
    # via
    #   mkdocs
    #   mkdocs-get-deps
mike==2.1.3
    # via -r docs/build/requirements.in
mkdocs==1.6.1
    # via
    #   mike
    #   mkdocs-macros-plugin
    #   mkdocs-material
mkdocs-get-deps==0.2.0
    # via mkdocs
mkdocs-macros-plugin==1.3.7
    # via -r docs/build/requirements.in
mkdocs-material==9.5.44
    # via -r docs/build/requirements.in
mkdocs-material-extensions==1.3.1
    # via mkdocs-material
packaging==24.2
    # via
    #   mkdocs
    #   mkdocs-macros-plugin
paginate==0.5.7
    # via mkdocs-material
pathspec==0.12.1
    # via
    #   mkdocs
    #   mkdocs-macros-plugin
platformdirs==4.3.6
    # via mkdocs-get-deps
pygments==2.18.0
    # via mkdocs-material
pymdown-extensions==10.12
    # via mkdocs-material
pyparsing==3.2.0
    # via mike
python-dateutil==2.9.0.post0
    # via
    #   ghp-import
    #   mkdocs-macros-plugin
pyyaml==6.0.2
    # via
    #   mike
    #   mkdocs
    #   mkdocs-get-deps
    #   mkdocs-macros-plugin
    #   pymdown-extensions
    #   pyyaml-env-tag
pyyaml-env-tag==0.1
    # via
    #   mike
    #   mkdocs
regex==2024.11.6
    # via mkdocs-material
requests==2.32.3
    # via mkdocs-material
six==1.16.0
    # via python-dateutil
super-collections==0.5.3
    # via mkdocs-macros-plugin
termcolor==2.5.0
    # via mkdocs-macros-plugin
urllib3==2.2.3
    # via requests
verspec==0.1.0
    # via mike
watchdog==6.0.0
    # via mkdocs
zipp==3.21.0
    # via importlib-metadata

=== fanal/analyzer/language/python/pip/testdata/happy/requirements.txt ===
annotated-types==0.7.0
click==8.0.0
Flask==2.0.0
itsdangerous==2.0.0
Jinja2<3.0.0
MarkupSafe>2.0.0
Werkzeug

=== debian/changelog ===
trivy (0.66.0-0kali1) kali-dev; urgency=medium

  [ Arnaud Rebillout ]
  * Drop 'Rules-Requires-Root: no' from d/control

  [ Sophie Brun ]
  * Update my email
  * New upstream version 0.66.0

 -- Sophie Brun <sophie@kali.org>  Mon, 15 Sep 2025 17:51:45 +0200

trivy (0.65.0-0kali1) kali-dev; urgency=medium

  * New upstream version 0.65.0
  * Refresh patches

 -- Sophie Brun <sophie@kali.org>  Mon, 11 Aug 2025 15:10:16 +0200

trivy (0.63.0-0kali1) kali-dev; urgency=medium

  * New upstream version 0.63.0
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 04 Jun 2025 14:45:33 +0200

trivy (0.62.1-0kali1) kali-dev; urgency=medium

  * New upstream version 0.62.1
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 13 May 2025 15:15:42 +0200

trivy (0.61.0-0kali1) kali-dev; urgency=medium

  * New upstream version 0.61.0
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 03 Apr 2025 09:47:40 +0200

trivy (0.60.0-0kali1) kali-dev; urgency=medium

  * New upstream version 0.60.0
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 17 Mar 2025 18:23:32 +0100

trivy (0.58.2-0kali1) kali-dev; urgency=medium

  * New upstream version 0.58.2

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 15 Jan 2025 15:59:47 +0100

trivy (0.58.0-0kali1) kali-dev; urgency=medium

  * New upstream version 0.58.0
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 04 Dec 2024 10:58:46 +0100

trivy (0.57.1-0kali1) kali-dev; urgency=medium

  * New upstream version 0.57.1

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 20 Nov 2024 15:44:18 +0100

trivy (0.57.0-0kali1) kali-dev; urgency=medium

  * New upstream version 0.57.0
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 06 Nov 2024 11:44:20 +0100

trivy (0.56.2-0kali1) kali-dev; urgency=medium

  * New upstream version 0.56.2

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 17 Oct 2024 14:57:51 +0200

trivy (0.56.1-0kali1) kali-dev; urgency=medium

  * New upstream version 0.56.1
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 07 Oct 2024 16:12:29 +0200

trivy (0.55.0-0kali1) kali-dev; urgency=medium

  * New upstream version 0.55.0
  * Refresh patches
  * Bump Standards-Version to 4.7.0 (no changes)

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 10 Sep 2024 11:14:57 +0200

trivy (0.54.1-0kali1) kali-dev; urgency=medium

  * New upstream version 0.54.1
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 21 Aug 2024 11:24:35 +0200

trivy (0.52.1-0kali1) kali-dev; urgency=medium

  * New upstream version 0.52.1
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 11 Jun 2024 16:08:59 +0200

trivy (0.51.1-0kali1) kali-dev; urgency=medium

  * New upstream version 0.51.1
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 07 May 2024 17:13:19 +0200

trivy (0.50.4-0kali1) kali-dev; urgency=medium

  * New upstream version 0.50.4
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 29 Apr 2024 16:23:26 +0200

trivy (0.49.1-0kali1) kali-dev; urgency=medium

  * New upstream version 0.49.1

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 07 Feb 2024 11:18:16 +0100

trivy (0.48.2-0kali1) kali-dev; urgency=medium

  * New upstream version 0.48.2

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 16 Jan 2024 11:25:39 +0100

trivy (0.48.0-0kali1) kali-dev; urgency=medium

  * New upstream version 0.48.0
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 12 Dec 2023 15:10:19 +0100

trivy (0.46.0-0kali1) kali-dev; urgency=medium

  * New upstream version 0.46.0
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 16 Oct 2023 17:54:08 +0200

trivy (0.45.1-0kali1) kali-dev; urgency=medium

  * New upstream version 0.45.1

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 21 Sep 2023 10:30:05 +0200

trivy (0.45.0-0kali1) kali-dev; urgency=medium

  * New upstream version 0.45.0
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 05 Sep 2023 15:20:05 +0200

=== debian/control ===
Source: trivy
Section: golang
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Sophie Brun <sophie@kali.org>
Build-Depends: ca-certificates, debhelper-compat (= 13), dh-golang, golang-any
Standards-Version: 4.7.0
Vcs-Browser: https://gitlab.com/kalilinux/packages/trivy
Vcs-Git: https://gitlab.com/kalilinux/packages/trivy.git
Homepage: https://github.com/aquasecurity/trivy
Testsuite: autopkgtest-pkg-go
XS-Go-Import-Path: github.com/aquasecurity/trivy

Package: trivy
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Built-Using: ${misc:Built-Using}
Description: comprehensive and versatile security scanner
 This package contains a comprehensive and versatile security scanner. Trivy
 has scanners that look for security issues, and targets where it can find
 those issues.
 It can find vulnerabilities, misconfigurations, secrets, SBOM in containers,
 Kubernetes, code repositories, clouds and more.
 .
 Targets (what Trivy can scan):
 .
  * Container Image
  * Filesystem
  * Git Repository (remote)
  * Virtual Machine Image
  * Kubernetes
  * AWS
 .
 Scanners (what Trivy can find there):
 .
  * OS packages and software dependencies in use (SBOM)
  * Known vulnerabilities (CVEs)
  * IaC issues and misconfigurations
  * Sensitive information and secrets
  * Software licenses

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1

export GOCACHE=$(CURDIR)/vendor
export GOPATH=$(CURDIR)/vendor

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

override_dh_auto_install:
	dh_auto_install -- --no-source

override_dh_auto_build:
	go install ./...

override_dh_golang:

override_dh_auto_test:

=== debian/tests/control ===
Test-Command: trivy -h
Restrictions: superficial

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
  https://github.com/aquasecurity/trivy/tags .*/v?(\d\S*)\.tar\.gz debian
